:root {

	--c-bg: #1b1b1f;
	--c-bg-light: #202127;
	--c-title: #dfdfd6;
	--c-text: #98989f;

	--c-brand-1: #2682ea;
	--c-brand-2: #38b5f8;
	--c-brand-3: #9569e9;

	--shade-gradient: linear-gradient( 120deg, var(--c-brand-2) 30%, var(--c-brand-1), var(--c-brand-3) 60% );
	--gradient: linear-gradient( 120deg, var(--c-brand-2) 20%, var(--c-brand-1), var(--c-brand-3) 70% );
	--shadow: 0 3px 7px #0004;

	--site-width: 1250px;
	--site-padding: 50px;

}

* {box-sizing: border-box;}
html {scroll-behavior: smooth; background-color: var(--c-bg); color: var(--c-text); font-family: Cantarell, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, 'Open Sans', 'Helvetica Neue', sans-serif; font-size: 13pt; line-height: 1.2;}
html, body {margin: 0;}

@media (max-width: 700px) {
	:root {
		--site-padding: 20px;
	}
}

button {font: inherit;}

h1 {font-size: 250%; margin: 2.4rem 0 2rem;}
h2 {font-size: 200%; margin: 2.2rem 0 1.4rem;}
h3 {font-size: 150%; margin: 1.9rem 0 1.2rem;}
h4 {font-size: 110%; margin: 1.8rem 0 1rem;}

p {margin: 1rem 0; line-height: 1.4;}
p.subtitle {font-weight: 700; font-size: 120%;}

h1, h2, h3 {color: var(--c-title); font-weight: 900;}

.text-gradient {background-clip: text; color: transparent; background-image: var(--gradient);}

nav {

	/*position: absolute; top: 0; left: 0;*/ width: 100%; height: 64px; overflow: hidden;
	.inner {max-width: var(--site-width); margin: auto; height: 100%; display: grid; gap: 20px; grid-template-columns: 1fr auto 1fr; grid-template-areas: "logo items items-right"; align-items: center; padding: 0 var(--site-padding);}

	.logo {grid-area: logo;}

	.items {
		display: flex; grid-area: items; justify-content: end; gap: 20px; font-size: 13pt;
		&.right {justify-content: end; grid-area: items-right;}
	}

	a {color: var(--c-text); text-decoration: none; font-weight: 700;}
	a:hover {color: var(--c-title);}
	img {max-height: 24px;}

	.menu {
		grid-area: menu; display: none; cursor: pointer; padding: 20px; margin: -20px;
		svg {color: var(--c-title); width: 24px;}
	}

	@media (max-width: 900px) {
		.inner {grid-template-columns: 1fr auto; grid-template-rows: 64px auto auto; grid-template-areas: "logo menu" "items items" "items-right items-right";}
		.menu {display: block;}
		.items {flex-direction: column; align-items: start;}
	}

}

#menutoggle {
	display: none;
	&:checked + nav {height: auto; background-color: var(--c-bg-light); padding-bottom: 25px;}
}

.text-center {text-align: center;}

.btn-row {
	display: flex; flex-wrap: wrap; gap: 7px; margin: 25px 0;
	&.btn-row-center {justify-content: center;}
}

.btn {
	--c-bg: #26292f;
	--c-bg-hover: #3c3f44;
	--c-border: #3c3f44;
	--c-border-hover: #4b4f54;
	color: var(--c-title); padding: 8px 12px; background: var(--c-bg); border-radius: 12px; border: 1.5px solid var(--c-border); box-shadow: var(--shadow); transition: all .2s; text-decoration: none; font-weight: 700;
	&:hover {border-color: var(--c-border-hover); background: var(--c-bg-hover);}
	&.btn-primary {--c-bg: #236DC2; --c-border: #236DC2; --c-bg-hover: #2882EA; --c-border-hover: #3D8FEE;}
}

header.hero {

	h1 {font-weight: 900; font-size: 50px;}
	h1, p {margin: 20px 0; text-wrap: balance;}
	p {font-size: 24px;}
	.inner {display: grid; grid-template-columns: 3fr 2fr; align-items: center;}
	.btn {font-weight: 700; border-radius: 50px; padding: 10px 20px;}

	@media (max-width: 900px) {
		.inner {display: flex; flex-direction: column-reverse; text-align: center;}
		.btn-row {justify-content: center;}
		h1 {font-size: 40px;}
		.herologo {width: 200px;}
	}

}

.herologo {
	position: relative; margin: auto; width: 300px; aspect-ratio: 1/1; display: flex; align-items: center; justify-content: center;
	.shade {position: absolute; background-image: var(--shade-gradient); width: 130%; height: 130%; filter: blur(68px); border-radius: 50%; z-index: -1;}
	img {max-width: 100%;}
}

:is(header, section, footer) > .inner {max-width: var(--site-width); margin: 50px auto; padding: 0 var(--site-padding);}

.feature-grid .inner {
	display: flex; gap: 10px; flex-wrap: wrap;
	& > * {flex: 1; min-width: 350px;}
}

.feature-card {
	display: grid; grid-template-columns: auto 1fr; background-color: var(--c-bg-light); padding: 20px; border-radius: 12px; align-items: center; gap: 10px; box-shadow: var(--shadow);
	p {grid-column: 1 / span 2;}
	h4, svg {color: var(--c-title);}
	* {margin: 0;}
}

.highlights-grid {
	display: grid; grid-template-columns: 1fr 1fr; text-align: center; gap: 15px; text-wrap: balance; margin-top: 60px;
	& > * {padding: 20px; border: 1px solid var(--c-bg-light); overflow: hidden; border-radius: 12px; box-shadow: var(--shadow); background-color: var(--c-bg-light);}
	.herologo {
		width: 200px; height: 100px; position: relative; z-index: 0; margin-bottom: -10px;
		svg {color: #fff; width: 80px;}
	}
	h3, p {position: relative; z-index: 1;}
	@media (max-width: 900px) {
		grid-template-columns: 1fr;
	}
}

section.big-margin .inner {margin: 100px auto;}

footer {
	.inner {display: flex; align-items: end; justify-content: center; gap: 20px; line-height: 1;}
	img {max-height: 24px;}
	@media (max-width: 900px) {
		.inner {flex-direction: column; align-items: center;}
	}
}
